> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/authorization/get-methods/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get a list of methods GET https://example.itential.io/authorization/methods Returns a list of methods in Itential Platform. Reference: https://docs.itential.com/itential-cloud/api-reference/authorization/get-methods ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Query parameters - `multiContains` (object, optional) — multiContains - `name` (string, optional) - `provenance` (string, optional) - `deprecated` (boolean, optional) - `multiEquals` (object, optional) — multiEquals - `name` (string, optional) - `provenance` (string, optional) - `deprecated` (boolean, optional) - `multiStartsWith` (object, optional) — multiStartsWith - `name` (string, optional) - `provenance` (string, optional) - `deprecated` (boolean, optional) - `skip` (integer, optional, default: 0) — skip - `limit` (integer, optional, default: 25) — limit - `sort` (enum, optional, default: name) — sort - Allowed values: `name` - `order` (enum, optional, default: 1) — order - Allowed values: `-1`, `1` ## Response ### 200 List of methods in IAP. - `results` (list of object, optional) - `name` (string, optional) - `provenance` (string, optional) - `route` (object, optional) - `path` (string, optional) - `verb` (string, optional) - `fullPath` (string, optional) - `total` (integer, optional) — The total number of documents ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "results": [ { "name": "getRoles", "provenance": "Authorization", "route": { "path": "/roles", "verb": "GET", "fullPath": "/authorization/roles" } } ], "total": 1 } ``` **SDK Code** ```python import requests url = "https://example.itential.io/authorization/methods" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/authorization/methods'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/authorization/methods" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/authorization/methods") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/authorization/methods") .asString(); ``` ```php request('GET', 'https://example.itential.io/authorization/methods'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/authorization/methods"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/authorization/methods")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```